Kerbal Space Program - Bug #1160

undo using command-z not working properly
07/30/2013 12:02 PM - superpirson

Status: Closed Start date: 07/30/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.21.1 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

when | hit the undo button sequence (command-z on osx) in the vab or sph, | tend to get more undoing than just one step.
occasionally, it will delete my entire vehicle, but sometimes it will just go back a couple of steps. after this first undo, i have also
noticed that the game will undo even if i do not press the z button and only press the command button, however, if i then press the z
button (without pressing command) it will no longer undo if i press command, and then require the sequence command-z again. this
works both with and without mods, and is not new to ksp .21.1

possibly unrelated: | hear the system alert sound when i hit command-z

i speculate that the game is not registering the release of the z button after command z is pressed, and/or that the undo function is
being run once per frame while command-z is pressed, and not just being run once.

specs: macbook pro (mid 2009)
ksp .21.1 with and without mods
osx 10.7.5

2.26 ghz core 2 duo

8gb system ram

NVIDIA GeForce 9400M 256 MB

History

#1 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/07/2016 12:07 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
